curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/app-secrets/my-vended-credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appId": "<string>",
"expandMask": {
"paths": [
"<string>"
]
},
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [
{
"appId": "<string>",
"appResourceTypeId": "<string>",
"id": "<string>"
}
],
"resourceTypeIds": [
"<string>"
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/app-secrets/my-vended-credentials"
payload = {
"appId": "<string>",
"expandMask": { "paths": ["<string>"] },
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [
{
"appId": "<string>",
"appResourceTypeId": "<string>",
"id": "<string>"
}
],
"resourceTypeIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appId: '<string>',
expandMask: {paths: ['<string>']},
pageSize: 123,
pageToken: '<string>',
query: '<string>',
refs: [{appId: '<string>', appResourceTypeId: '<string>', id: '<string>'}],
resourceTypeIds: ['<string>']
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/app-secrets/my-vended-credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/search/app-secrets/my-vended-credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'appId' => '<string>',
'expandMask' => [
'paths' => [
'<string>'
]
],
'pageSize' => 123,
'pageToken' => '<string>',
'query' => '<string>',
'refs' => [
[
'appId' => '<string>',
'appResourceTypeId' => '<string>',
'id' => '<string>'
]
],
'resourceTypeIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}.conductor.one/api/v1/search/app-secrets/my-vended-credentials"
payload := strings.NewReader("{\n \"appId\": \"<string>\",\n \"expandMask\": {\n \"paths\": [\n \"<string>\"\n ]\n },\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"query\": \"<string>\",\n \"refs\": [\n {\n \"appId\": \"<string>\",\n \"appResourceTypeId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"resourceTypeIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/search/app-secrets/my-vended-credentials")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"appId\": \"<string>\",\n \"expandMask\": {\n \"paths\": [\n \"<string>\"\n ]\n },\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"query\": \"<string>\",\n \"refs\": [\n {\n \"appId\": \"<string>\",\n \"appResourceTypeId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"resourceTypeIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/search/app-secrets/my-vended-credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"appId\": \"<string>\",\n \"expandMask\": {\n \"paths\": [\n \"<string>\"\n ]\n },\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"query\": \"<string>\",\n \"refs\": [\n {\n \"appId\": \"<string>\",\n \"appResourceTypeId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"resourceTypeIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"expanded": [
{
"@type": "<string>"
}
],
"list": [
{
"alertCount": 123,
"appPath": "<string>",
"appSecret": {
"appId": "<string>",
"appResourceTypeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"id": "<string>",
"identityAppUserId": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z",
"secretCreatedAt": "2023-11-07T05:31:56Z",
"secretExpiresAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"credentialRevocation": {
"state": "CREDENTIAL_REVOCATION_STATE_UNSPECIFIED"
},
"fullKnowledgeVaultId": "<string>",
"paperVaultId": "<string>",
"resourceTypePath": "<string>"
}
],
"nextPageToken": "<string>"
}Search My Vended Credentials
Lists credentials C1 issued to the signed-in requester. This is separate from the general secret inventory because a connector can discover other secret resources on the same account.
curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/app-secrets/my-vended-credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appId": "<string>",
"expandMask": {
"paths": [
"<string>"
]
},
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [
{
"appId": "<string>",
"appResourceTypeId": "<string>",
"id": "<string>"
}
],
"resourceTypeIds": [
"<string>"
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/app-secrets/my-vended-credentials"
payload = {
"appId": "<string>",
"expandMask": { "paths": ["<string>"] },
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [
{
"appId": "<string>",
"appResourceTypeId": "<string>",
"id": "<string>"
}
],
"resourceTypeIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appId: '<string>',
expandMask: {paths: ['<string>']},
pageSize: 123,
pageToken: '<string>',
query: '<string>',
refs: [{appId: '<string>', appResourceTypeId: '<string>', id: '<string>'}],
resourceTypeIds: ['<string>']
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/app-secrets/my-vended-credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/search/app-secrets/my-vended-credentials",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'appId' => '<string>',
'expandMask' => [
'paths' => [
'<string>'
]
],
'pageSize' => 123,
'pageToken' => '<string>',
'query' => '<string>',
'refs' => [
[
'appId' => '<string>',
'appResourceTypeId' => '<string>',
'id' => '<string>'
]
],
'resourceTypeIds' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}.conductor.one/api/v1/search/app-secrets/my-vended-credentials"
payload := strings.NewReader("{\n \"appId\": \"<string>\",\n \"expandMask\": {\n \"paths\": [\n \"<string>\"\n ]\n },\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"query\": \"<string>\",\n \"refs\": [\n {\n \"appId\": \"<string>\",\n \"appResourceTypeId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"resourceTypeIds\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/search/app-secrets/my-vended-credentials")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"appId\": \"<string>\",\n \"expandMask\": {\n \"paths\": [\n \"<string>\"\n ]\n },\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"query\": \"<string>\",\n \"refs\": [\n {\n \"appId\": \"<string>\",\n \"appResourceTypeId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"resourceTypeIds\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/search/app-secrets/my-vended-credentials")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"appId\": \"<string>\",\n \"expandMask\": {\n \"paths\": [\n \"<string>\"\n ]\n },\n \"pageSize\": 123,\n \"pageToken\": \"<string>\",\n \"query\": \"<string>\",\n \"refs\": [\n {\n \"appId\": \"<string>\",\n \"appResourceTypeId\": \"<string>\",\n \"id\": \"<string>\"\n }\n ],\n \"resourceTypeIds\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"expanded": [
{
"@type": "<string>"
}
],
"list": [
{
"alertCount": 123,
"appPath": "<string>",
"appSecret": {
"appId": "<string>",
"appResourceTypeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"id": "<string>",
"identityAppUserId": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z",
"secretCreatedAt": "2023-11-07T05:31:56Z",
"secretExpiresAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"credentialRevocation": {
"state": "CREDENTIAL_REVOCATION_STATE_UNSPECIFIED"
},
"fullKnowledgeVaultId": "<string>",
"paperVaultId": "<string>",
"resourceTypePath": "<string>"
}
],
"nextPageToken": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
SearchMyVendedCredentialsRequest has the same filters as the general inventory search, but its distinct type carries the self-only permission. The server always scopes results to the signed-in requester's issuance tickets; callers cannot provide an identity-user filter.
The appId field.
The AppSecretExpandMask message.
Show child attributes
Show child attributes
The pageSize field.
The pageToken field.
The query field.
The refs field.
Show child attributes
Show child attributes
The resourceTypeIds field.
Was this page helpful?